Web Apps - List Site Containers
Lists all the site containers of a site, or a deployment slot.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/sitecontainers?api-version=2025-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
name
|
path | True |
string |
Name of the app. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Definitions
| Name | Description |
|---|---|
|
Auth |
Auth Type |
|
created |
The type of identity that created the resource. |
|
Default |
App Service error response. |
|
Default |
Error model. |
|
Default |
Detailed errors. |
|
Environment |
|
|
Site |
Container of a site |
|
Site |
Collection of site containers |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Volume |
AuthType
Auth Type
| Value | Description |
|---|---|
| Anonymous | |
| UserCredentials | |
| SystemIdentity | |
| UserAssigned |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DefaultErrorResponse
App Service error response.
| Name | Type | Description |
|---|---|---|
| error |
Error model. |
DefaultErrorResponseError
Error model.
| Name | Type | Description |
|---|---|---|
| code |
string |
Standardized string to programmatically identify the error. |
| details |
Detailed errors. |
|
| innererror |
string |
More information to debug error. |
| message |
string |
Detailed error description and debugging information. |
| target |
string |
Detailed error description and debugging information. |
DefaultErrorResponseErrorDetailsItem
Detailed errors.
| Name | Type | Description |
|---|---|---|
| code |
string |
Standardized string to programmatically identify the error. |
| message |
string |
Detailed error description and debugging information. |
| target |
string |
Detailed error description and debugging information. |
EnvironmentVariable
| Name | Type | Description |
|---|---|---|
| name |
string |
Environment variable name |
| value |
string |
The value of this environment variable must be the name of an AppSetting. The actual value of the environment variable in container will be retrieved from the specified AppSetting at runtime. If the AppSetting is not found, the value will be set to an empty string in the container at runtime. |
SiteContainer
Container of a site
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| kind |
string |
Kind of resource. |
| name |
string |
The name of the resource |
| properties.authType |
Auth Type |
|
| properties.createdTime |
string (date-time) |
Created Time |
| properties.environmentVariables |
List of environment variables |
|
| properties.image |
string |
Image Name |
| properties.inheritAppSettingsAndConnectionStrings |
boolean |
|
| properties.isMain |
boolean |
|
| properties.lastModifiedTime |
string (date-time) |
Last Modified Time |
| properties.passwordSecret |
string |
Password Secret |
| properties.startUpCommand |
string |
StartUp Command |
| properties.targetPort |
string |
Target Port |
| properties.userManagedIdentityClientId |
string |
UserManagedIdentity ClientId |
| properties.userName |
string |
User Name |
| properties.volumeMounts |
List of volume mounts |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
SiteContainerCollection
Collection of site containers
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The SiteContainer items on this page |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
VolumeMount
| Name | Type | Description |
|---|---|---|
| containerMountPath |
string |
Target path on the container where volume is mounted on |
| data |
string |
Config Data to be mounted on the volume |
| readOnly |
boolean |
Boolean to specify if the mount is read only on the container |
| volumeSubPath |
string |
Sub path in the volume where volume is mounted from. |